Subject: Re: [PATCH net-next 8/8] net: phy: marvell10g: select host interface configuration

From: Marek Behún <[email-masked]>
Date: Thu, 18 Nov 2021 16:20:21 +0100

On Thu, 18 Nov 2021 17:09:51 +0200
Vladimir Oltean <[email-masked]> wrote:

> Speaking of that, do you know of any SFP modules that would use USXGMII?
> It doesn't appear to be listed in the spec sheet when looking for that.

RollBall 10G SFP modules, which this series prepares support for,
contain 88X3310 PHY and thus can work in USXGMII. By defualt they use
MACTYPE=6 (10gbase-r with rate matching), but when this series and
the series that adds support for RollBall SFPs are merged, then the SFP
module will work in USXGMII if USXGMII is supported by the host MAC.

Marek